<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
    <meta name="description" content="" />
    <meta name="author" content="" />
    <link rel="icon" href="static/favicon.ico" />
    <title>NFDI4Earth - Knowledge Hub</title>
    <!-- Bootstrap core CSS -->
    <link href="static/css/bootstrap.min.css" rel="stylesheet" />
    <link href="static/css/font-awesome.min.css" rel="stylesheet" />
    <!-- Custom styles for this template -->
    <link href="static/css/styles.css" rel="stylesheet" />
</head>

<body>
    <nav class="navbar navbar-expand-lg navbar-light bg-light border-bottom">
        <a href="https://www.nfdi4earth.de" title="NFDI4Earth" class="navbar-brand">
            <img src="static/images/NFDI4Earth_logo.png" alt="Logo des NFDI Konsortiums NFDI4Earth" height="60" />
        </a>
        <button class="navbar-toggler mt-3" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
            aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse mt-3" id="navbarSupportedContent">
            <ul class="nav navbar-nav ml-auto">
                <li class="nav-item">
                    <a class="p-2 text-dark" href="https://sparql.knowledgehub.nfdi4earth.de/#/">Datasets</a>
                </li>
                <li class="nav-item">
                    <a class="p-2 text-dark"
                        href="https://sparql.knowledgehub.nfdi4earth.de/#/dataset/knowledge-graph/query">SPARQL
                        query</a>
                </li>
            </ul>
        </div>
    </nav>
    <div class="container">
        <div class="px-3 py-3 pt-md-5 pb-md-4 mx-auto text-center">
            <h1 class="display-4">NFDI4Earth</h1>
            <h1 class="display-2">Knowledge Hub</h1>
            <p class="lead">
                Welcome to the NFDI4Earth Knowledge Hub, the central service that stores
                information on various research products from the Earth System Sciences
                (ESS).
            </p>
        </div>
    </div>
    <div class="container">
        <div class="row text-center">
            <div class="col-lg">
                <div class="card h-100 mb-2">
                    <div class="card-header">
                        <h1 class="my-0 font-weight-normal">Browse Data</h1>
                    </div>
                    <div class="card-body">
                        <div class="card-text">
                            <p class="lead">
                                The Knowledge Hub provides access to its content via SPARQL queries.
                            </p>
                            <p> If you are not familiar with SPARQL and want to browse the content,
                                please visit the OneStop4All, the One-Stop portal for FAIR ESS
                                research data management, where the information stored in the
                                Knowledge Hub is presented in a human-readable format.
                            </p>
                            <p>The NFDI4Earth OneStop4All is accessable via the URL:</p>
                            <p><i><a
                                        href="https://onestop4all.nfdi4earth.de/">https://onestop4all.nfdi4earth.de/</a></i>
                            </p>
                        </div>
                    </div>
                    <div class="card-footer">
                        <a href="https://onestop4all.nfdi4earth.de/" class="card-button">
                            <button type="button" class="btn btn-lg btn-block btn-primary">
                                Open OneStop4All
                            </button>
                        </a>
                    </div>
                </div>
            </div>
            <div class="col-lg">
                <div class="card h-100 mb-2">
                    <div class="card-header">
                        <h1 class="my-0 font-weight-normal">Retrieve Data</h1>
                    </div>
                    <div class="card-body">
                        <div class="card-text">
                            <p class="lead">The Knowledge Hub stores all information in the form of linked data
                                making use of semantic web technologies.</p>
                            <p>For advanced users, this data
                                is made available conforming to
                                <a href="https://www.w3.org/TR/sparql11-query/">SPARQL 1.1 standard</a>
                                under the following endpoint:
                            </p>
                            <p><i><a
                                        href="https://sparql.knowledgehub.nfdi4earth.de/knowledge-graph/query">https://sparql.knowledgehub.nfdi4earth.de/knowledge-graph/query</a></i>
                            </p>
                        </div>
                    </div>
                    <div class="card-footer">
                        <a href="https://sparql.knowledgehub.nfdi4earth.de/#/dataset/knowledge-graph/query"
                            class="card-button">
                            <button type="button" class="btn btn-lg btn-block btn-primary">
                                Open SPARQL endpoint
                            </button>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="container text-center my-5">
        <div class="mb-3">
            <hr class="my-4">
            <p class="font-weight-bold">Try out the following example queries:</p>
        </div>
        <div class="row mb-3" id="card-deck"></div>
    </div>
    <div class="container text-center my-5">
        <a data-toggle="collapse" href="#hidden-card-deck" id="hidden-card-deck-toggle" aria-expanded="false"
            class="btn btn-primary mb-3">
            <i class="fa fa-chevron-circle-up"></i>
            <i class="fa fa-chevron-circle-down"></i>
            More examples generated from our illustrative questions
            <i class="fa fa-chevron-circle-up"></i>
            <i class="fa fa-chevron-circle-down"></i>
        </a>
        <div class="collapse collapse-reverse" id="hidden-card-deck">
            <div class="row"></div>
        </div>
    </div>
    <div class="container mb-3 pt-5 text-center border-top">
        <p>
            The underlying schema according to which the metadata in the
            Knowledge Hub is stored, is defined as a
            <a href="https://linkml.io/" target="_blank">LinkML</a> model and can be accessed
            here:
            <a
                href="https://nfdi4earth.pages.rwth-aachen.de/knowledgehub/nfdi4earth-kh-schema/">https://nfdi4earth.pages.rwth-aachen.de/knowledgehub/nfdi4earth-kh-schema/</a>
        </p>
        <p>
            The code that runs the Knowledge Hub service is open source and can
            be accessed at:
            <a
                href="https://git.rwth-aachen.de/nfdi4earth/knowledgehub">https://git.rwth-aachen.de/nfdi4earth/knowledgehub</a>
        </p>
        <p>
            The exemplary queries are generated from the project: <a
                href="https://git.rwth-aachen.de/nfdi4earth/knowledgehub/kh_questions">KnowledgeHub - Domain
                Coverage</a>.
        </p>
        <p>
            Cite the Knowledge Hub as: Degbelo, A., Henzen, C., Grieb, J.,
            Klammer, R., Weiland, C., Bernard, L., & Müller-Pfefferkorn, R.
            (2023). NFDI4Earth Knowledge Hub - Concept (NFDI4Earth Deliverable
            D4.3.2). Zenodo.
            <a href="https://doi.org/10.5281/zenodo.7950860">doi:10.5281/zenodo.7950860</a>
        </p>
    </div>
    </div>
    <footer class="py-5 mt-md-5 border-top">
        <div class="row section">
            <div class="col-lg-12 text-center text-lg-left">
                <div class="d-block d-lg-inline section-header">Get connected:</div>
                <div class="d-block d-lg-inline section-links">
                    <a href="https://www.nfdi4earth.de/about-us" target="_blank">About us</a>
                    <a href="https://www.nfdi4earth.de/about-us/consortium" target="_blank">Partners</a>
                    <a href="https://www.nfdi4earth.de/2coordinate/coordination-office" target="_blank">Contact</a>
                </div>
            </div>
        </div>
        <div class="row section">
            <div class="col-lg-12 text-center text-lg-left">
                <div class="d-block d-lg-inline section-header">Support:</div>
                <div class="d-block d-lg-inline section-links">
                    <a href="https://onestop4all.nfdi4earth.de/faq/" target="_blank">FAQ</a>
                    <a href="https://nfdi4earth.de/helpdesk" target="_blank">User Support</a>
                </div>
            </div>
        </div>
        <div class="row section">
            <div class="col-lg-12 text-center text-lg-left">
                <div class="d-block d-lg-inline section-header">Legal information:</div>
                <div class="d-block d-lg-inline section-links">
                    <a href="https://www.nfdi4earth.de/legal-notice" target="_blank">Legal information</a>
                    <a href="https://www.nfdi4earth.de/privacy-policy" target="_blank">Privacy</a>
                </div>
            </div>
        </div>
        <div class="row text-center text-lg-left social-media">
            <div class="col-lg-2 logo">
                <a href="https://git.rwth-aachen.de/nfdi4earth" target="_blank">
                    <img src="static/images/gitlab-logo.svg" alt="Logo of GitLab version control" />
                    <span>GITLAB</span>
                </a>
            </div>
            <div class="col-lg-2 logo">
                <a href="https://nfdi.social/@nfdi4earth" target="_blank">
                    <img src="static/images/mastodon-logo.svg" alt="Logo of Mastodon" />
                    <span>MASTODON</span>
                </a>
            </div>
            <div class="col-lg-2 logo">
                <a href="https://creativecommons.org/licenses/by/4.0/" target="_blank">
                    <img src="static/images/cc-cc-logo.svg"
                        alt="Icon showing the letters 'CC' indicating licensing via creativecommons" />
                    <img src="static/images/cc-by-logo.svg"
                        alt="Icon showing a pictogram of a person indicating the licensing attribution via creativecommons" />
                    <span>CC BY 4.0</span>
                </a>
            </div>
            <div class="col-lg-6 text-lg-right logo">
                <img src="static/images/dfg-logo.svg" alt="Logo of the DFG" />
            </div>
        </div>
    </footer>
    <!-- CARD TEMPLATE which is used to add cards filled with different SPARQL-queries via JavaScript -->
    <div id="card-template" style="display: none">
        <div class="col-md-4 my-2">
            <div class="card h-100">
                <div class="card-header">
                    <h4 class="my-0 font-weight-normal" id="card-header"></h4>
                </div>
                <div class="card-body">
                    <!-- <h5 class="card-title">Description</h5> -->
                    <p class="card-text"></p>
                </div>
                <div class="card-footer">
                    <a href="#" class="card-button">
                        <button type="button" class="btn btn-lg btn-block btn-outline-primary">
                            Try it out
                        </button>
                    </a>
                    <small class="text-muted">
                        <a href="#" class="download" data-type="text" target="_blank">Text</a>
                        <span>|</span>
                        <a href="#" class="download" data-type="csv" target="_blank">CSV</a>
                        <span>|</span>
                        <a href="#" class="download" data-type="xml" target="_blank">XML</a>
                        <span>|</span>
                        <a href="#" class="download" data-type="json" target="_blank">JSON</a>
                    </small>
                </div>
            </div>
        </div>
    </div>
    <script type="application/ld+json">
    {
        "@context": {
            "schema": "http://schema.org/",
            "dcat": "http://www.w3.org/ns/dcat#"
        },
        "@graph": [{
                "@id": "https://knowledgehub.nfdi4earth.de/",
                "@type": ["schema:DataCatalog", "dcat:Catalog"],
                "schema:name": "NFDI4Earth Knowledge Hub",
                "schema:description": "The central service which stores information on various research products from the Earth System Sciences.",
            ]
        }
    </script>
    <!-- Core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
        integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
        crossorigin="anonymous"></script>
    <script>
        window.jQuery ||
            document.write('<script src="static/js/jquery-slim.min.js"><\/script>');
    </script>
    <script src="static/js/bootstrap.min.js"></script>
    <script src="static/js/script.js"></script>
    <script src="static/js/matomo.js"></script>
</body>

</html>